Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] 1.3.1 version/subversion discrepancy
From: George Bosilca (bosilca_at_[hidden])
Date: 2009-04-14 01:30:30


Rob,

Thanks for the report. You're right there was a mismatch between what
the MPI_Get_version reported and what was in the mpi.h file. It should
be correct now, and I'll push the commit into the upcomming release
(1.3.2).

   Thanks,
     george.

On Apr 14, 2009, at 00:42 , Rob Egan wrote:

> Hello,
>
> I just installed Open MPI 1.3.1 and found that the following assertion
> now fails.
>
> MPI_Get_version(&version, &subversion);
> Assert(version == MPI_VERSION && subversion == MPI_SUBVERSION);
>
>
> This is an excerpt from pyMPI, which I have been using with Open MPI
> 1.2.7.
>
> According to mpi.h, MPI_VERSION == 2 and MPI_SUBVERSION == 1, but the
> procedure MPI_Get_version returns 2 and 0 for version & subversion
> respectively.
>
> I think this is a quick fix to sync up the mpi.h and get_version.c.
>
> Thanks,
> Rob Egan
>
> _______________________________________________
> devel mailing list
> devel_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/devel